%define momorel 1

Summary: configuration app for fluxbox
Name: fluxconf
Version: 0.9.7
Release: %{momorel}m
License: GPL
Group: User Interface/Desktops
URL: http://devaux.fabien.free.fr/flux/
Source: http://devaux.fabien.free.fr/flux/fluxconf-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
NoSource: 0
BuildPreReq: gtk+-devel
Requires: fluxbox

%description
Fluxconf (Fluxbox Configuration Tool) which will help you set the Fluxbox settings and keybindings.

%prep
%setup -q

%build
%configure
make clean
%make

%install
if [ -d %{buildroot} ]; then rm -rf %{buildroot}; fi
mkdir -p %{buildroot}/usr/X11R6/bin
install -m 755 fluxconf %{buildroot}/usr/X11R6/bin/fluxconf
install -m 755 fluxconf %{buildroot}/usr/X11R6/bin/fluxkeys
install -m 755 fluxconf %{buildroot}/usr/X11R6/bin/fluxmenu
install -m 755 fluxconf %{buildroot}/usr/X11R6/bin/fluxbare
mkdir -p %{buildroot}%{_datadir}/locale/{fi,fr}/LC_MESSAGES
install po/fi.mo %{buildroot}%{_datadir}/locale/fi/LC_MESSAGES/fluxconf.mo
install po/fr.mo %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/fluxconf.mo
rm docs/Makefile*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS ChangeLog README
%doc docs/
/usr/X11R6/bin/fluxconf
/usr/X11R6/bin/fluxkeys
/usr/X11R6/bin/fluxmenu
/usr/X11R6/bin/fluxbare
%{_datadir}/locale/*/LC_MESSAGES/fluxconf.mo

%changelog
* Sat Dec 20 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.9.7-1m)
- ver up.

* Sat Oct 4 2003 Yasuhiro Takabayashi <kourin@fh.freeserve.ne.jp>
- (0.9.6-1m)
- ver up.

* Sat Oct 4 2003 Yasuhiro Takabayashi <kourin@fh.freeserve.ne.jp>
- (0.9.5-1m)
- ver up.

* Fri Mar 07 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.9.4-2m)
- rebuild against for XFree86-4.3.0

* Tue Mar 4 2003 Yasuhiro Takabayashi <kourin@fh.freeserve.ne.jp>
- (0.9.4-1m)
- ver up.

* Wed Dec 4 2002 Yasuhiro Takabayashi <kourin@fh.freeserve.ne.jp>
- (0.9.2-1m)
- ver up.
- add fluxbare

* Sun Oct 27 2002 Yasuhiro Takabayashi <kourin@fh.freeserve.ne.jp>
- (0.8.9-1m)
- ver up.

* Sat Aug 24 2002 Yasuhiro Takabayashi <kourin@fh.freeserve.ne.jp>
- (0.8.8-1m)
- ver up.

* Thu Aug 15 2002 Yasuhiro Takabayashi <kourin@fh.freeserve.ne.jp>
- (0.8.7-1m)
- ver up.

* Sat Aug 10 2002 Yasuhiro Takabayashi <kourin@fh.freeserve.ne.jp>
- (0.8.6-1m)
- ver up.

* Thu Jul 11 2002 Yasuhiro Takabayashi <kourin@fh.freeserve.ne.jp>
- (0.8.5-1m)
- ver up.

* Wed Jun 19 2002 Yasuhiro Takabayashi <kourin@fh.freeserve.ne.jp>
- (0.8.2-2k)
- ver up.

* Thu Apr 25 2002 Yasuhiro Takabayashi <kourin@kondara.org>
- (0.6-6k)
- add Requires: fluxbox

* Wed Mar 27 2002 Toru Hoshina <t@kondara.org>
- (0.6-4k)
- It was NOT actually rebuilt. make clean first please.

* Fri Feb 22 2002 Yasuhiro Takabayashi <kourin@kondara.org>
- (0.6-2k)
- 1st release.
